PO4A-NORMALIZE.1P(1)

NAAM
po4a-normalize - een documentatiebestand normaliseren door het te ontleden in po4a en het terug weg te schrijven

OVERZICHT
po4a-normalize -f fmt hoofdbestand.doc

BESCHRIJVING
Het doel van het project po4a (PO voor alles) is om de vertaalwerkzaamheden (en interessanter nog, het onderhoud van vertalingen) te vergemakkelijken met behulp van gettext-hulpmiddelen in domeinen waarin deze niet meteen verwacht worden, zoals documentatie.

Het script <po4a-normalize> is een debughulpmiddel dat gebruikt wordt om er zeker van te zijn dat po4a het document niet wijzigt wanneer het niet verondersteld wordt dat te doen. Gebruik het enkel als u een nieuwe module ontwikkelt of indien u twijfelt aan de correctheid van de hulpmiddelen.

Het gegenereerde document wordt weggeschreven als po4a-normalize.output, terwijl het gegenereerde POT-bestand standaard weggeschreven wordt naar po4a-normalize.po, maar u kunt de opties --localized en --pot gebruiken om dit aan te passen.

OPTIES

-o, --option
    Extra optie(s) om door te geven aan de indelingsplug-in. Raadpleeg de documentatie bij elke plug-in voor meer informatie over de geldige opties en hun betekenis. U zou bijvoorbeeld '-o tablecells' kunnen doorgeven aan de ontleder voor AsciiDoc, terwijl de ontleder voor tekst '-o tabs=split' zou accepteren.

-w, --width
    Kolom waarop een regelafbreking moet gebeuren in het bestand, als de indeling dit ondersteunt (standaard 76).

-b, --blank
    Een leeg vertaald document creëren. Het gegenereerde document zal gegenereerd worden in de veronderstelling dat alle berichten vertaald worden als een spatie of een regeleinde.

    Dit is nuttig om na te gaan welke delen van het document niet vertaald kunnen worden.

    --blank en --capitalize kunnen niet tegelijkertijd worden opgegeven.

-C, --capitalize
    Een vertaald document maken en het bijbehorend po-bestand met de originele tekenreeksen omgezet naar hun hoofdletterversie.

    Dit is nuttig om te controleren welke delen van het document niet vertaald kunnen worden en testgegevens voor po4a te genereren.

    --blank en --capitalize kunnen niet tegelijkertijd worden opgegeven.

-h, --help
    Een korte hulptekst tonen.

--help-format
    De documentatie-indelingen vermelden die door po4a begrepen worden.

-f, --format
    Indeling van de documentatie die u wilt afhandelen. Gebruik de optie --help-format om de lijst van beschikbare indelingen te zien.

-M, --master-charset
    Tekenset van het bestand met het te vertalen document.

-l, --localized
    Naam van het te produceren genormaliseerde bestand (standaard po4a-normalize.output).

-p, --pot
    Te produceren pot-bestand (standaard po4a-normalize.po).

-V, --version
    De versie van het script tonen en afsluiten.

ZIE OOK
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT EN LICENTIE
Copyright 2002-2023 door SPI, inc.

Dit programma is vrije software; u kunt het verder verspreiden en/of aanpassen onder de bepalingen van de GPL v2.0 of recenter (zie het bestand COPYING).